## python-django-ca 1.22.0

=== requirements.txt ===
-e .[celery,redis]

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile source/_files/docker-compose.yml

source/_files/docker-compose.yml:
	cp ../docker-compose.yml source/_files/

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile source/_files/docker-compose.yml
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) -W -n $(O)

## python-django-ca 1.25.0

=== requirements.txt ===
-e .[celery,redis,yaml]

=== docs/source/_files/1.25.0/requirements.txt ===
acme==2.6.0
amqp==5.1.1
asgiref==3.7.2
asn1crypto==1.5.1
async-timeout==4.0.2
billiard==4.1.0
celery==5.3.0
certifi==2023.5.7
cffi==1.15.1
charset-normalizer==3.1.0
click==8.1.3
click-didyoumean==0.3.0
click-plugins==1.1.1
click-repl==0.3.0
cryptography==41.0.1
Django==4.2.2
django-object-actions==4.1.0
dnspython==2.3.0
hiredis==2.2.3
idna==3.4
josepy==1.13.0
kombu==5.3.1
packaging==23.1
prompt-toolkit==3.0.38
psycopg==3.1.9
psycopg-c==3.1.9
psycopg-pool==3.1.7
pycparser==2.21
pyOpenSSL==23.2.0
pyRFC3339==1.1
python-dateutil==2.8.2
pytz==2023.3
PyYAML==6.0
redis==4.5.5
requests==2.31.0
six==1.16.0
sqlparse==0.4.4
typing_extensions==4.6.3
tzdata==2023.3
urllib3==2.0.3
vine==5.0.0
wcwidth==0.2.6

=== debian/changelog ===
python-django-ca (1.25.0-1) unstable; urgency=medium

  * New upstream version 1.25.0
  * Refresh patches.
  * Add python3-ocspbuilder and python3-tabulate to Build-Depends, required by
    tests.
  * Use improved upstream test discovery during build-time and in
    autopkgtests.
  * Fix permissions on test assets.
  * Add lintian-overrides for test assets with long lines in them.

 -- Michael Fladischer <fladi@debian.org>  Mon, 10 Jul 2023 20:31:01 +0000

python-django-ca (1.22.0-1) unstable; urgency=low

  * Initial release (Closes: #1031558).

 -- Michael Fladischer <fladi@debian.org>  Fri, 27 Jan 2023 06:49:08 +0000

=== debian/control ===
Source: python-django-ca
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python-acme-doc,
 python-cryptography-doc,
 python-django-doc,
 python3-acme,
 python3-all,
 python3-asn1crypto,
 python3-celery,
 python3-cryptography,
 python3-django,
 python3-django-object-actions,
 python3-dnspython,
 python3-doc,
 python3-freezegun,
 python3-idna,
 python3-josepy,
 python3-numpydoc,
 python3-ocspbuilder,
 python3-packaging,
 python3-pytest,
 python3-pytest-django,
 python3-pyvirtualdisplay,
 python3-requests,
 python3-requests-mock,
 python3-selenium,
 python3-semantic-version,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-jinja,
 python3-sphinx-rtd-theme,
 python3-tabulate,
 python3-yaml,
Standards-Version: 4.6.2
Homepage: https://github.com/mathiasertl/django-ca
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-ca
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-ca.git
Rules-Requires-Root: no

Package: python-django-ca-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: manage TLS certificate authorities and certificates (Documentation)
 django-ca is a small project to manage TLS certificate authorities and easily
 issue certificates. It is based on cryptography and Django. It can be used as
 an app in an existing Django project or stand-alone with the basic project
 included. Certificates can be managed through Djangos admin interface or via
 manage.py commands - so no webserver is needed, if you’re happy with the
 command-line.
 .
 Features:
  * Set up a secure local certificate authority in just a few minutes.
  * Certificate revocation via CRLs and OCSP.
  * Certificate issuance via ACMEv2, command line or web interface.
  * Management via command line and/or via Djangos admin interface.
  * Get email notifications about certificates about to expire.
 .
 This package contains the documentation.

Package: python3-django-ca
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-ca-doc,
Description: manage TLS certificate authorities and certificates (Python3 version)
 django-ca is a small project to manage TLS certificate authorities and easily
 issue certificates. It is based on cryptography and Django. It can be used as
 an app in an existing Django project or stand-alone with the basic project
 included. Certificates can be managed through Djangos admin interface or via
 manage.py commands - so no webserver is needed, if you’re happy with the
 command-line.
 .
 Features:
  * Set up a secure local certificate authority in just a few minutes.
  * Certificate revocation via CRLs and OCSP.
  * Certificate issuance via ACMEv2, command line or web interface.
  * Management via command line and/or via Djangos admin interface.
  * Get email notifications about certificates about to expire.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-ca
#export PYBUILD_BEFORE_TEST=cp -r {dir}/ca/django_ca/tests/fixtures {build_dir}/django_ca/tests/; ln -s {build_dir}/docs/source/django_ca_sphinx {build_dir}/django_ca_sphinx
#export PYBUILD_AFTER_TEST=rm -rf {build_dir}/django_ca/tests/fixtures {build_dir}/django_ca_sphinx
export PYBUILD_BEFORE_TEST=ln -s {build_dir}/docs/source/django_ca_sphinx {build_dir}/django_ca_sphinx
export PYBUILD_AFTER_TEST=rm -f {build_dir}/django_ca_sphinx
export PYBUILD_TEST_ARGS=--ds=ca.test_settings -k "not test_permission_denied and not test_create_cadir_permission_denied and not test_permission_denied and not Dns01ValidationTestCase and not AcmeValidateDns01ChallengeTestCase" --ignore=django_ca/tests/admin/test_actions.py --ignore=django_ca/tests/admin/test_add_cert.py
export SKIP_SELENIUM_TESTS=y

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d $(CURDIR)/docs/source/.build/.doctrees -N docs/source $(CURDIR)/debian/python-django-ca-doc/usr/share/doc/python-django-ca-doc/html
endif

execute_after_dh_clean:
	rm -rf $(CURDIR)/docs/source/.build

execute_before_dh_fixperms:
	find $(CURDIR)/debian/python3-django-ca -executable -type f -exec chmod a-x {} \;

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/python-django-ca-$1.tar.gz/ \
https://github.com/mathiasertl/django-ca/tags \
/mathiasertl/django-ca/archive/refs/tags/([\d\.]+)\.tar\.gz
